Lavalite package that provides ai management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `wojt/ai`.

    "wojt/ai": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Wojt\Ai\Providers\AiServiceProvider::class,

And also add it to alias

    'Ai'  => Wojt\Ai\Facades\Ai::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Wojt\\AiTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Wojt\Ai\Providers\AiServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Wojt\Ai\Providers\AiServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Wojt\Ai\Providers\AiServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ai/{modulename}

**User**

    http://path-to-route-folder/user/ai/{modulename}

**Public**

    http://path-to-route-folder/ais


### API endpoints

**List**

    http://path-to-route-folder/api/user/ai/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ai/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ai/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ai/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ai/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ai/{modulename}/{slug}
    METHOD: GET